//
// Version Spec
// X.AA.BB 
// AA: Model Version BB: Data file Version 
//
// Installer Data file V 0.90
// Eiger Xerox (WorkCentre 2218)


//////////////////////////////////////////////////////////////////////////////////////////////////////////
//																										//
//												Command Section											//			
//																										//
//////////////////////////////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////
// 		Install Start command			//
//////////////////////////////////////////

[INST_STRART_CMD]

[INST_STRART_CMD.END]


//////////////////////////////////////////
//		Install End  command			//
//////////////////////////////////////////
[INST_END_CMD]
//CT_DELREG = DEL_REG.INSTALLING_KEY
//CT_DELREG = DEL_REG.INSTALLED_KEY

CT_COPY_FILE = COPY_EREG_FILE


[INST_END_CMD.END]



//////////////////////////////////////////
// 		Restall Start command			//
//////////////////////////////////////////
[REINST_STRART_CMD]

[REINST_STRART_CMD.END]


//////////////////////////////////////////
// 		Restall End command				//
//////////////////////////////////////////
[REINST_END_CMD]

[REINST_END_CMD.END]


//////////////////////////////////////////
// 		Unstall Start command			//
//////////////////////////////////////////
[UNINST_STRART_CMD]

[UNINST_STRART_CMD.END]


//////////////////////////////////////////
// 		Unstall End command				//
//////////////////////////////////////////
[UNINST_END_CMD]
CT_DELREG = DEL_REG.VKPRINT_PCL
CT_DELREG = DEL_REG.VKPRINT_PS
[UNINST_END_CMD.END]


//////////////////////////////////////////////////////////////////////
//																	//		
// 							Copy file section						//
//																	//
//////////////////////////////////////////////////////////////////////
[COPY_FILE_INFO]
COPYFILE_DATA
COPYFILE_SETUP
COPYFILE_PCL_ALL
COPYFILE_PS_ALL
COPYFILE_SCAN

COPYFILE_SM
COPYFILE_PSU
COPYFILE_PCFAX

COPYFILE_MANUAL
COPYFILE_MANUAL_VIEWER
COPYFILE_ACROBAT

[COPY_FILE_INFO_END]

[COPYFILE_DATA]
DESCRIPTION = @FILE_COPY.INSTALLATION@
SOURCE = $SRC_DIR$\data
DESTINATION = $DEST_DIR$\Install\data
COPY_SUBDIR = 1

[COPYFILE_SETUP]
DESCRIPTION = @FILE_COPY.INSTALLATION@
SOURCE = $SRC_DIR$
DESTINATION = $DEST_DIR$\INSTALL

[COPYFILE_PCL_ALL]
DESCRIPTION = @COMPONENT.PRINTER_PCL_XEROX@
SOURCE = %PCL_DIR%
DESTINATION = $DEST_DIR$\Install\Driver\PRINTER\PCL
COPY_SUBDIR = 1

[COPYFILE_PS_ALL]
DESCRIPTION = @COMPONENT.PRINTER_PS_XEROX@
SOURCE = %PS_DIR%\$LANG_DIR$
DESTINATION = $DEST_DIR$\Install\Driver\PRINTER\PS\$LANG_DIR$
COPY_SUBDIR = 1

[COPYFILE_SCAN]
DESCRIPTION = @COMPONENT.SCANNER_XEROX@
SOURCE = %SCANNER_DIR%
DESTINATION = $DEST_DIR$\Install\Driver\SCAN
COPY_SUBDIR = 1

[COPYFILE_SM]
DESCRIPTION = @COMPONENT.SM@
SOURCE = %SM_DIR%
DESTINATION = $DEST_DIR$\Install\Driver\SM
COPY_SUBDIR = 1

[COPYFILE_PSU]
DESCRIPTION = @COMPONENT.CONTROLCENTRE_XEROX@
SOURCE = %CONTROLCENTRE_DIR%
DESTINATION = $DEST_DIR$\Install\Driver\ControlCentre
COPY_SUBDIR = 1

[COPYFILE_PCFAX]
DESCRIPTION = @COMPONENT.PCFAX_XEROX@
SOURCE = %PCFAX_DIR%
DESTINATION = $DEST_DIR$\Install\Driver\PCFAX
COPY_SUBDIR = 1

[COPYFILE_MANUAL]
DESCRIPTION = @FILE_COPY.MANUAL@
SOURCE = %USER_GUIDE_DIR%
DESTINATION = $DEST_DIR$\Install\MANUAL\$ORG_LANG_DIR$

[COPYFILE_MANUAL_VIEWER]
DESCRIPTION = @FILE_COPY.MANUAL@
SOURCE = $SRC_DIR$\DATA\Ssopen.exe
DESTINATION = $DEST_DIR$\Install\DATA\Ssopen.exe

[COPYFILE_ACROBAT]
DESCRIPTION = @FILE_COPY.ACROBATREADER@
SOURCE = $SRC_DIR$\@ACROBATREADER_PATH@
DESTINATION = $DEST_DIR$\Install\@ACROBATREADER_PATH@

////////////////////////////////////////////////
//
// Shortcut information
//
///////////////////////////////////////////////
[UNINST_SHORTCUT]
NAME = @COMMON.SHORTCUT_MAINT@
GROUP = START
TARGET = $DEST_DIR$\Install\%INSTALLER_FIE%
ARGUMENT = /R
ICON_FILE = $DEST_DIR$\Install\%INSTALLER_FIE%
ICON_INDEX = 0
PERMISSION = 
FOLDER_NAME = @UNINST_SHORTCUT.FOLDER_NAME@
//DESCRIPTION = @UNINST_SHORTCUT.DESC@

/////////////////////////////////////////////////////////////////////
//
// section of Registry to be added 
// 
// RootKey = HKLM,HKCU        Default value is HKLM
// KeyName = Created or existing key name
// Value.VALUE = type,name,data 
// - value name is value name
// - value type is registry type (REG_DWORD, REG_SZ)
// - Value is real value, if REG_DWORD and value is 0x???? ==> it is hexadecimal
//                        if REG_DWORD and Value is ????   ==> it is decimal
//                        if REG_SZ, the value must be bound with quotation mark.
/////////////////////////////////////////////////////////////////////////////////
[ADD_REG.UNINSTKEY]
ROOTKEY = HKLM
KEYNAME = Software\Microsoft\Windows\CurrentVersion\uninstall\%MODEL_NAME%
VALUE = REG_SZ,DisplayName,@REGISTRY.UNINSTALL_NAME@
VALUE = REG_SZ,UninstallString,$DEST_DIR$\Install\%INSTALLER_FIE% /R
VALUE = REG_SZ,DisplayIcon,$DEST_DIR$\Install\%INSTALLER_FIE%
//VALUE = REG_SZ,Publisher,Samsung Electronics CO.,LTD
DELETE_KEY = 1
[ADD_REG.UNINSTKEY_END]

[DEL_REG.VKPRINT_PCL]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%PCL_PRINTER%
DELETE_KEY = 1
[DEL_REG.VKPRINT_PCL_END]

[DEL_REG.VKPRINT_PS]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%PS_PRINTER%
DELETE_KEY = 1
[DEL_REG.VKPRINT_PS_END]


//////////////////////////////////////////////////////////////////////
//																																	//		
// 							Ereg Utility	(This is called by Finish button)			//
//																																	//
//////////////////////////////////////////////////////////////////////
[COPY_EREG_FILE]
SUPPORTED_OS = WIN2K, WINXP, WIN64, VISTA, VISTA_64 //WIN95,WIN98,WINME
FILE = $SRC_DIR$\DATA\EReg\EReg.exe,$PROGRAM_FILES_DIR$\Xerox\EReg.exe,0
FILE = $SRC_DIR$\DATA\EReg\x2comsA0.dll,$PROGRAM_FILES_DIR$\Xerox\x2comsA0.dll,0
FILE = $SRC_DIR$\DATA\EReg\x2utilA0.dll,$PROGRAM_FILES_DIR$\Xerox\x2utilA0.dll,0
FILE = $SRC_DIR$\DATA\EReg\xlibeay.dll,$PROGRAM_FILES_DIR$\Xerox\xlibeay.dll,0
FILE = $SRC_DIR$\DATA\EReg\$LANG_DIR$\x2txt01.dll,$PROGRAM_FILES_DIR$\Xerox\x2txt01.dll,0
[COPY_EREG_FILEE_END]

